Create a contact
curl --request POST \
--url https://app.lettr.com/api/audience/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jane@example.com",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": {
"first_name": "Jane"
}
}
'import requests
url = "https://app.lettr.com/api/audience/contacts"
payload = {
"email": "jane@example.com",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": { "first_name": "Jane" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jane@example.com',
list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
properties: {first_name: 'Jane'}
})
};
fetch('https://app.lettr.com/api/audience/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Contact retrieved successfully.",
"data": {
"id": "0193e6b0-9c1d-7d4f-a8f1-cef9a1b2d3e4",
"email": "jane@example.com",
"status": "subscribed",
"properties": {
"first_name": "Jane",
"country": "US"
},
"created_at": "2024-01-15T10:30:00Z",
"lists": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"topics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}Audience Contacts
Create a contact
Create a single contact. If double_opt_in is provided the contact is created in unverified status and receives a confirmation email — they become subscribed only after clicking the confirmation link. Requires the audience:write scope and is blocked for sandbox API keys.
POST
/
audience
/
contacts
Create a contact
Create a single contact. If
double_opt_in is provided the contact is created in unverified status and receives a confirmation email — they become subscribed only after clicking the confirmation link. Requires the audience:write scope and is blocked for sandbox API keys.Authorizations
API key for authentication
Body
application/json
Request to create a single contact
Maximum string length:
255Example:
"jane@example.com"
Optional list to add the contact to
Custom property values. Each key must match a property defined for the team.
Show child attributes
Show child attributes
Example:
{ "first_name": "Jane" }
Double opt-in configuration. When provided, the contact receives a confirmation email and is created in unverified status until they click the confirmation link.
Show child attributes
Show child attributes
Was this page helpful?